io.milvus.v2.service.vector.request.ranker

## Class WeightedRanker

- java.lang.Object
- - io.milvus.v2.service.vector.request.ranker.BaseRanker
  - - io.milvus.v2.service.vector.request.ranker.WeightedRanker

    public class WeightedRanker
    extends BaseRanker

The Average Weighted Scoring reranking strategy, which prioritizes vectors based on relevance, averaging their significance.

### Constructor Summary

Constructors
Constructor and Description
`WeightedRanker(java.util.List<java.lang.Float> weights)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.String>` `getProperties()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WeightedRanker

    public WeightedRanker(java.util.List<java.lang.Float> weights)

### Method Detail

#### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

Specified by:
  `getProperties` in class `BaseRanker`